#
# spec file for package libcerror
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcerror
%define lname	libcerror1
%define timestamp 20160327
Version:        0~%timestamp
Release:        1.1
Summary:        Library for cross-platform C error functions
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libcerror/wiki
Source:         https://github.com/libyal/%name/releases/download/%timestamp/%name-beta-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcstring) >= 20150101
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
A library for cross-platform C error functions.

This package is part of the libyal library collection and is used by other libraries in the collection

%package -n %lname
Summary:        Library for cross-platform C error functions
Group:          System/Libraries

%description -n %lname
A library for cross-platform C error functions.

This subpackage contains the actual shared object library

%package devel
Summary:        Development files for libcerror, a cross-platform C error library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for cross-platform C error functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcerror.

%prep
%setup -qn libcerror-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libcerror.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libcerror*
%_libdir/libcerror.so
%_libdir/pkgconfig/libcerror.pc
%_mandir/man3/libcerror.3*

%changelog
* Wed Jul 13 2016 Greg.Freemyer@gmail.com
- update to v0~20160327
  * 2016 update
  * applied updates
  * updated common
  * worked on tests
* Wed Dec  2 2015 Greg.Freemyer@gmail.com
- update to v0~20150407
  * worked on tests
  * removed USE_CRT_FUNCTIONS support
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * updated dependencies
  * 2014 update
  * fixes in backtrace string creation
  * updated libcstring
* Wed Oct  2 2013 Greg.Freemyer@gmail.com
- update to v0~20130904
  * bug fix for issue under memory limitations
  * code clean up
- make %%description fields slightly more robust
* Sun Jul 28 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * fix in .pc.in
  * updated common files
  * additional bounds checking
  * added FORMAT_MESSAGE_IGNORE_INSERTS to FormatMessage calls
  * textual changes
  * updated dependencies
  * 2013 update
- switch to gz compression to eliminate download / conversion process
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121222) for build.opensuse.org
